| Home | Libraries | People | FAQ | More

# http/server/reply.cpp File Reference

Go to the source code of this file.

## Namespaces

namespace | http
namespace | http::server
namespace | http::server::status_strings
namespace | http::server::misc_strings
namespace | http::server::stock_replies

## Functions

boost::asio::const_buffer | http::server::status_strings::to_buffer (reply::status_type status)
std::string | http::server::stock_replies::to_string (reply::status_type status)

## Variables

const std::string | http::server::status_strings::ok
const std::string | http::server::status_strings::created
const std::string | http::server::status_strings::accepted
const std::string | http::server::status_strings::no_content
const std::string | http::server::status_strings::multiple_choices
const std::string | http::server::status_strings::moved_permanently
const std::string | http::server::status_strings::moved_temporarily
const std::string | http::server::status_strings::not_modified
const std::string | http::server::status_strings::bad_request
const std::string | http::server::status_strings::unauthorized
const std::string | http::server::status_strings::forbidden
const std::string | http::server::status_strings::not_found
const std::string | http::server::status_strings::internal_server_error
const std::string | http::server::status_strings::not_implemented
const std::string | http::server::status_strings::bad_gateway
const std::string | http::server::status_strings::service_unavailable
const char | http::server::misc_strings::name_value_separator [] = { ':', ' ' }
const char | http::server::misc_strings::crlf [] = { '\r', '\n' }
const char | http::server::stock_replies::ok [] = ""
const char | http::server::stock_replies::created []
const char | http::server::stock_replies::accepted []
const char | http::server::stock_replies::no_content []
const char | http::server::stock_replies::multiple_choices []
const char | http::server::stock_replies::moved_permanently []
const char | http::server::stock_replies::moved_temporarily []
const char | http::server::stock_replies::not_modified []
const char | http::server::stock_replies::bad_request []
const char | http::server::stock_replies::unauthorized []
const char | http::server::stock_replies::forbidden []
const char | http::server::stock_replies::not_found []
const char | http::server::stock_replies::internal_server_error []
const char | http::server::stock_replies::not_implemented []
const char | http::server::stock_replies::bad_gateway []
const char | http::server::stock_replies::service_unavailable []

| Copyright © 2003 - 2006 Christopher M. Kohlhoff